@import '../../../../styles.scss';

.shop {
  height: 100vh;
}

.widget {
  margin: 20px 0 0;
}

.widget-category-item {
  background-image: url("/assets/point.svg");
  background-position: left;
  background-size: 6%;
  background-repeat: no-repeat;
  padding-left: 16px !important;
  border-bottom: 1px dashed $bg-light-gray;

  &.active {
    font-weight: 500;
    color: $bg-default;
  }

  &:hover {
    cursor: pointer;
    color: $bg-default;
  }
}

.star {
  font-size: 1.5rem;
  color: #b0c4de;
}

.filled {
  color: #FFD700;
}

.product {
  text-align: center;
  margin: 16px 0;

  .price {
    color: $bg-default;
    font-weight: 500;
    font-size: 18px;
  }
}

.image {
  position: relative;
  padding: 14px;
}

ul {
  padding-inline-start: 0px;
}

li {
  list-style-type: none;
}

.product:hover .product_action_box li {
  -webkit-transform: translate(0, 0);
  -ms-transform: translate(0, 0);
  -o-transform: translate(0, 0);
  transform: translate(0, 0);
  opacity: 1;
  filter: alpha(opacity=100);
}

.product:hover .image::before {
  -moz-transform: scale(1);
  -webkit-transform: scale(1);
  transform: scale(1);
}

.image::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  background-color: rgba(255, 255, 255, 0.5);
  transition: all 0.5s ease-in-out;
  -moz-transform: scale(0);
  -webkit-transform: scale(0);
  transform: scale(0);
  z-index: 1;
}

.product_action_box {
  position: absolute;
  top: 10px;
  left: 10px;
  z-index: 2;
}

.product_action_box li {
  -webkit-transform: translate(-15px, 0px);
  -ms-transform: translate(-15px, 0px);
  -o-transform: translate(-15px, 0px);
  transform: translate(-15px, 0px);
  opacity: 0;
  filter: alpha(opacity=0);

  &:hover {
    .icon-background {
      color: $bg-dark-blue;
    }
  }
}

.product_action_box li:nth-child(1) {
  -webkit-transition: all 0.2s ease 0s;
  -o-transition: all 0.2s ease 0s;
  transition: all 0.2s ease 0s;
}

.product_action_box li:nth-child(2) {
  -webkit-transition: all 0.4s ease 0s;
  -o-transition: all 0.4s ease 0s;
  transition: all 0.4s ease 0s;
}

.product_action_box li:nth-child(3) {
  -webkit-transition: all 0.6s ease 0s;
  -o-transition: all 0.6s ease 0s;
  transition: all 0.6s ease 0s;
}

.icon-background {
  color: $bg-default;
}

.icon {
  color: #ffffff;
}


.example-viewport{
  height: 100vh;
  overflow-x: hidden;
  // width: 100%;
  // margin-left: 50px;
  // border: 1px solid saddlebrown;
  // // display: flex;
}
